<?php

/******************************************************************************
 * ezUserManager - Usermanagement and login                                     *
 *                                                                              *
 * Visit the ezUserManager homepage at http://php.reinsveien.com/ezUserManager/ *                                                                                            *                                                                               *
 * Copyright (C) 2004-2005 Sven-Ove Bjerkan. All rights reserved.               *
 *                                                                              *
 * This script is free to use for non-commercial individual use.                *
 *                                                                              *
 * Use of this script by companies or on commercial web sites requires a        *
 * commercial license. For commercial licence details, please visit:            *
 *     http://php.reinsveien.com/ezUserManager/                                 *
 *                                                                              *
 ******************************************************************************/

if (!defined('IN_ezUserManager')) {
    die("Attempted hacking!");
}

define("ezUM_version","v1.3");

// Check that there is no upgrade-files left.
if (file_exists($ezUserManager_Path . "admin/upgrade_1x_13.php")) $dieError .= "<p>Please delete or rename the file admin/upgrade_1x_13.php";

if (!empty($dieError)) {
	echo "<p>Error occured! Please correct the following errors:";
	echo $dieError;
	exit();
}

require_once($ezUserManager_Path . "config/mysql.config.php");
require_once($ezUserManager_Path . "config/general.config.php");
require_once($ezUserManager_Path . "config/form.config.php");

/* 	Language settings */
if ($_GET['lang']) {
	$lang = $_GET['lang'];
	setcookie("lang", $lang, time()+3600 * $ezUserManager_cookie_days);
}
else if ($_COOKIE['lang']) $lang = $_COOKIE['lang'];
else $lang = strtolower($def_lang);

if (!is_file($ezUserManager_Path . "lang/$lang.lang.php")) {
echo "Language file for language <b>$lang </b>not found in $ezUserManager_Path lang/";
echo "<br>The <b>\$lang</b> file doesn't exist in the /lang-folder.";
echo "<br>Please check your configuration.";
exit();
}
// First include english, so that any word missing in the translation appear on english instead of being missing //
require_once($ezUserManager_Path . "lang/en.lang.php");
require_once($ezUserManager_Path . "lang/$lang.lang.php");


// Check that the .htpassword-file is writable and if not, try to CHMOD it
if (!is_writable($ezUserManager_Path.$ezUserManager_htpasswd_path)) {
	echo "<b>$error_htp_not_write!</b><br>";
	if (!@chmod($ezUserManager_Path.$ezUserManager_htpasswd_path, 0777)) {
		echo "<b>$error_unable_chmod.<br>$text_add_write_access. </b>";
		exit();
	}
	else {
		echo "<b>$text_success_chmod.<br>$text_now_writable.</b>";
	}
}


/* Random Password generator. 
http://www.phpfreaks.com/quickcode/Random_Password_Generator/56.php 
*/ 

function makeRandomPassword($length) { 
  $salt = "abchefghjkmnpqrstuvwxyz0123456789"; 
  srand((double)microtime()*1000000);
      $i = 0; 
      while ($i <= $length) { 
            $num = rand() % 33; 
            $tmp = substr($salt, $num, 1); 
            $pass = $pass . $tmp; 
            $i++; 
      } 
      return $pass; 
} 

// Show flags
function showFlags() {
	global $ezUserManager_langBgColour;
	global $ezUserManager_Path;
	global $show_flags;
	
	if ($show_flags == 1) {	
		global $flags_array;

		$num_flags = count($flags_array);
		echo "<table bgcolor=\"$ezUserManager_langBgColour\" border=\"0\" width=\"100%\"><tr><td valign=\"top\"><font size=\"1\" face=\"verdana\"><b>Language:</b> ";
		$i=0;
		while($i<$num_flags) {	
			$flags_explode = explode("|||",$flags_array[$i]);
			if ($flags_explode[2] == "1") echo "<a href=\"" . $PHP_SELF . "?lang=" . $flags_explode[0] . "\"><img border=\"0\" alt=\"" . ucfirst($flags_explode[1]) . "\" height=\"15\" src=\"" . $ezUserManager_Path . "images/flags/" . $flags_explode[1] . ".gif\"></a> ";
			++$i;
		}
		echo "</td></tr></table>";
	}
}

function ezUserManager_write_htpasswd()
{
    global $ezUserManager_table;
    global $ezUserManager_db;
    global $ezUserManager_htpasswd_path;
    global $ezUserManager_demoMode;
    global $ezUserManager_useMd5;
    global $text_status_active;
    global $tbl_field_username;
    global $tbl_field_pwd_crypt;
    global $tbl_field_pwd_md5;
    global $tbl_field_status;
    global $ezUserManager_Path;

    if ($ezUserManager_demoMode) return True;

    $query = "SELECT $tbl_field_username, $tbl_field_pwd_crypt, $tbl_field_pwd_md5 FROM $ezUserManager_table WHERE $tbl_field_status='1'";
    $result = mysql_query ($query, $ezUserManager_db);
    $num = mysql_numrows($result);
    
    $content = "";
    if ($result) {

    $i = 0;
	while ($i < $num) {
		$tbl_field_pwd_md5_value = mysql_result($result, $i, $tbl_field_pwd_md5);
		$tbl_field_pwd_crypt_value = mysql_result($result, $i, $tbl_field_pwd_crypt);
		$tbl_field_username_value = mysql_result($result, $i, $tbl_field_username);
		
		if ($ezUserManager_useMd5) $crypted_password = $tbl_field_pwd_md5_value;
		else $crypted_password = $tbl_field_pwd_crypt_value;
            $content .= "$tbl_field_username_value:$crypted_password\n";
            ++$i;
        }
    }

    $last_ignore_user_abort = ignore_user_abort (True);

    $fh = fopen($ezUserManager_Path.$ezUserManager_htpasswd_path, "a+");
    if (!$fh)
    {
        echo "<P>$error_occured $error_pwd_file_write $error_check_perm.\n";
        ignore_user_abort($last_ignore_user_abort);
        return False;
    }

    // Flock always fails on FAT file systems.
    $flock_ok = flock($fh, LOCK_EX);

    fseek($fh, 0);
    ftruncate($fh, 0);

    fwrite($fh, $content);

    fflush($fh);

    if ($flock_ok)
    {
        flock($fh, LOCK_UN);
    }

    fclose($fh);

    ignore_user_abort($last_ignore_user_abort);

    return True;
}

if (isset($_SERVER['PHP_SELF'])) {
    $PHP_SELF=$_SERVER['PHP_SELF'];
}

if (!ereg("config.php", $PHP_SELF)) {
$ezUserManager_db = @mysql_connect($ezUserManager_sql_server, $ezUserManager_sql_username, $ezUserManager_sql_password) or die("Unable to connect to database. Please check your MySQL server, username and password configurations.");
@mysql_select_db($ezUserManager_sql_database, $ezUserManager_db) or die("Unable to select the database. Please check your MySQL database configuration.");
}

/* Check whether table exists */
if (!ereg("config.php", $PHP_SELF)) {
	if (!mysql_query("DESCRIBE $ezUserManager_table", $ezUserManager_db)) die("The table $ezUserManager_table doesn't exist!");
}



?>
