<?php

/******************************************************************************
 * ezUserManager - Usermanagement and login                                     *
 *                                                                              *
 * Visit the ezUserManager homepage at http://php.reinsveien.com/ezUserManager/ *                                                                                            *                                                                               *
 * Copyright (C) 2004-2005 Sven-Ove Bjerkan. All rights reserved.               *
 *                                                                              *
 * This script is free to use for non-commercial individual use.                *
 *                                                                              *
 * Use of this script by companies or on commercial web sites requires a        *
 * commercial license. For commercial licence details, please visit:            *
 *     http://php.reinsveien.com/ezUserManager/                                 *
 *                                                                              *
 ******************************************************************************/

/* Mail text when a user forget his password
 * $username = Registered username
 * $email = Registered e-mail
 * $new_pass = New password - IMPORTANT! MUST BE INCLUDED IN MAIL!
 * $ezUserManager_siteName = Name of the site
*/
$mailbody_forgott = <<<Message
        Hi $username!

        You have requested a new password for our website.

        We have registered the following data on you:
        Username: $username
        E-mail: $email

        To access our website, please use the following:
        Username: $username
        Password: $new_pass

        Please contact us if you experience any problems!

        Regards,
        Webmaster $ezUserManager_siteName
Message;


/* Mail text sent to user to confirm his membership
 * $username = Registered username
 * $ezUserManager_siteName = Name of the site
 * $confirm_link = The link for activating the membership
*/
$mailbody_confirm = <<<Message
	Hi $username!
	
	Thank you for joining $ezUserManager_siteName.
	
	Please click the following link to confirm your membership:
	$confirm_link
	
	If clicking does not work, please copy and paste into your browser manually.
	
	Regards,
	Webmaster - $ezUserManager_siteName

Message;


// NEW TRANSLATIONS IN v1.3 //

/* Mail text sent to admin to activate new membership
 * $username = Registered username
 * $email = Registered users email
 * $ezUserManager_siteName = Name of the site
 * $admin_area_link = The direct link for this user in the admin-area
*/
$mailbody_activate = <<<Message
	A new user has registered on $ezUserManager_siteName.
	
	Username: $username
	Email: $email
	Please click the following link to go to the admin-area for this user:
	$admin_area_link

	If clicking does not work, please copy and paste into your browser manually.

	Regards,
	Webmaster - $ezUserManager_siteName

Message;

/* Mail text sent to user when membership has been approved
 * $username = Registered username
 * $ezUserManager_siteName = Name of the site
 * $ezUserManager_protectedUrl = Link to the password-protected area (set in configuration)
*/
$mailbody_approved = <<<Message
	Your user on $ezUserManager_siteName has been approved by admin.

	Your username: $username

	Please click the following link to go to protected-area:
	$ezUserManager_protectedUrl

	If clicking does not work, please copy and paste into your browser manually.

	Regards,
	Webmaster - $ezUserManager_siteName

Message;
?>
